#
# spec file for package npapi-vlc
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Adapted to Mageia Linux Cauldron - file bugs for this package
# on http://bugs.mageia.org/ .

Name:           npapi-vlc
Version:        2.2.0
Release:        %mkrel 1
Summary:        VLC video and audio plugin for browsers
License:        GPLv2+
Group:          Video/Utilities
Url:            http://www.videolan.org/
Source0:        http://download.videolan.org/pub/videolan/vlc-webplugins/%{version}/npapi-vlc-%{version}.tar.xz
BuildRequires:  xz
BuildRequires:  cairo-devel
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  gtk2-devel
BuildRequires:  glib2-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  vlc-devel >= 1.1.0
BuildRequires:  pkgconfig(mozilla-plugin)
BuildRequires:  pkgconfig(x11)

%description
This plugin allows one to watch standalone or embedded video or
audio files, inside web browsers.


%prep
%setup -q

%build
export CPPFLAGS="$CPPFLAGS -std=c++11"
%configure2_5x --disable-silent-rules
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/mozilla/plugins/libvlcplugin.la

%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/mozilla/plugins/libvlcplugin.so


%changelog
* Sun Jan 03 2016 luigiwalser <luigiwalser> 2.2.0-1.mga6
+ Revision: 918978
- 2.2.0
- fix source URL

* Wed Oct 15 2014 umeabot <umeabot> 2.0.6-7.mga5
+ Revision: 744334
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.6-6.mga5
+ Revision: 682930
- Mageia 5 Mass Rebuild

* Sun Feb 16 2014 wally <wally> 2.0.6-5.mga5
+ Revision: 592622
- fix build

* Fri Jan 10 2014 pterjan <pterjan> 2.0.6-4.mga4
+ Revision: 566092
- Fix Buildequires

* Mon Oct 21 2013 umeabot <umeabot> 2.0.6-3.mga4
+ Revision: 537301
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 fwang <fwang> 2.0.6-2.mga4
+ Revision: 486727
- rebuild for vlc 2.1

* Wed Jul 03 2013 shlomif <shlomif> 2.0.6-1.mga4
+ Revision: 449974
- New version 2.0.6

* Mon Jan 21 2013 kamil <kamil> 2.0.0-4.mga3
+ Revision: 390666
- update group to Video/Utilities
- cleaning .spec

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 10 2012 shlomif <shlomif> 2.0.0-2.mga3
+ Revision: 269224
- Improve the summary and desc

* Fri Jun 22 2012 shlomif <shlomif> 2.0.0-1.mga3
+ Revision: 262683
- rpmlint complained about libx11-devel - pkgconfig(x11) should be safer.
- Correct release
- Correct the BuildRequires to Mageia ones
- Fix the plugins' dir
- Fix rpmlint warnings and other non-Mageia-isms
- Imported from SuSE

